org.apache.ode.bpel.pmapi.impl

## Class TCorrelationPropertyImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.JavaStringHolder
    - - org.apache.xmlbeans.impl.values.JavaStringHolderEx
      - - org.apache.ode.bpel.pmapi.impl.TCorrelationPropertyImpl

- All Implemented Interfaces:
    java.io.Serializable, TCorrelationProperty, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlString, org.apache.xmlbeans.XmlTokenSource

      public class TCorrelationPropertyImpl
      extends org.apache.xmlbeans.impl.values.JavaStringHolderEx
      implements TCorrelationProperty

  An XML tCorrelationProperty(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is an atomic type that is a restriction of org.apache.ode.bpel.pmapi.TCorrelationProperty.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TCorrelationProperty

      `TCorrelationProperty.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.pmapi.TCorrelationProperty

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TCorrelationPropertyImpl(org.apache.xmlbeans.SchemaType sType)`
    `protected` | `TCorrelationPropertyImpl(org.apache.xmlbeans.SchemaType sType, boolean b)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCsetid()` Gets the "csetid" attribute
    `javax.xml.namespace.QName` | `getPropertyName()` Gets the "propertyName" attribute
    `void` | `setCsetid(java.lang.String csetid)` Sets the "csetid" attribute
    `void` | `setPropertyName(javax.xml.namespace.QName propertyName)` Sets the "propertyName" attribute
    `org.apache.xmlbeans.XmlString` | `xgetCsetid()` Gets (as xml) the "csetid" attribute
    `org.apache.xmlbeans.XmlQName` | `xgetPropertyName()` Gets (as xml) the "propertyName" attribute
    `void` | `xsetCsetid(org.apache.xmlbeans.XmlString csetid)` Sets (as xml) the "csetid" attribute
    `void` | `xsetPropertyName(org.apache.xmlbeans.XmlQName propertyName)` Sets (as xml) the "propertyName" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.JavaStringHolderEx

      `get_wscanon_rule, is_defaultable_ws, schemaType, set_text, validate_simpleval, validateLexical`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.JavaStringHolder

      `compute_text, equal_to, set_nil, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_text, get_default_attribute_value, get_default_element_text, get_element_ending_delimiters, get_element_type, get_elementflags, get_schema_type, get_store, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_child_element_order_sensitive, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, new_visitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_String, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, update_from_complex_content, uses_invalidate_value, validate_now, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, set, setStringValue, stringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### TCorrelationPropertyImpl

          public TCorrelationPropertyImpl(org.apache.xmlbeans.SchemaType sType)

    - #### TCorrelationPropertyImpl

          protected TCorrelationPropertyImpl(org.apache.xmlbeans.SchemaType sType,
                                             boolean b)

  - ### Method Detail

    - #### getCsetid

          public java.lang.String getCsetid()

      Gets the "csetid" attribute
      Specified by:
        `getCsetid` in interface `TCorrelationProperty`

    - #### xgetCsetid

          public org.apache.xmlbeans.XmlString xgetCsetid()

      Gets (as xml) the "csetid" attribute
      Specified by:
        `xgetCsetid` in interface `TCorrelationProperty`

    - #### setCsetid

          public void setCsetid(java.lang.String csetid)

      Sets the "csetid" attribute
      Specified by:
        `setCsetid` in interface `TCorrelationProperty`

    - #### xsetCsetid

          public void xsetCsetid(org.apache.xmlbeans.XmlString csetid)

      Sets (as xml) the "csetid" attribute
      Specified by:
        `xsetCsetid` in interface `TCorrelationProperty`

    - #### getPropertyName

          public javax.xml.namespace.QName getPropertyName()

      Gets the "propertyName" attribute
      Specified by:
        `getPropertyName` in interface `TCorrelationProperty`

    - #### xgetPropertyName

          public org.apache.xmlbeans.XmlQName xgetPropertyName()

      Gets (as xml) the "propertyName" attribute
      Specified by:
        `xgetPropertyName` in interface `TCorrelationProperty`

    - #### setPropertyName

          public void setPropertyName(javax.xml.namespace.QName propertyName)

      Sets the "propertyName" attribute
      Specified by:
        `setPropertyName` in interface `TCorrelationProperty`

    - #### xsetPropertyName

          public void xsetPropertyName(org.apache.xmlbeans.XmlQName propertyName)

      Sets (as xml) the "propertyName" attribute
      Specified by:
        `xsetPropertyName` in interface `TCorrelationProperty`